{
  "name": "country-quiz",
  "version": "0.0.0",
  "author": "islambeg",
  "license": "Unlicense",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check build-only",
    "preview": "vite preview --port 4173",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "huskify": "husky install",
    "lint": "eslint --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore --cache",
    "stylelint": "stylelint --fix --ignore-path .gitignore --cache"
  },
  "dependencies": {
    "autoprefixer": "^10.4.7",
    "axios": "^0.27.2",
    "normalize.css": "^8.0.1",
    "pinia": "^2.0.14",
    "the-new-css-reset": "^1.6.1",
    "vue": "^3.2.36"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.0",
    "@types/jsdom": "^16.2.14",
    "@types/node": "^16.11.36",
    "@vitejs/plugin-vue": "^2.3.3",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/eslint-config-typescript": "^10.0.0",
    "@vue/test-utils": "^2.0.0",
    "@vue/tsconfig": "^0.1.3",
    "eslint": "^8.5.0",
    "eslint-plugin-vue": "^8.2.0",
    "husky": "^8.0.1",
    "jsdom": "^19.0.0",
    "lint-staged": "^13.0.1",
    "npm-run-all": "^4.1.5",
    "postcss-html": "^1.4.1",
    "prettier": "^2.5.1",
    "sass": "^1.52.3",
    "stylelint": "^14.9.1",
    "stylelint-config-prettier-scss": "^0.0.1",
    "stylelint-config-recommended-scss": "^6.0.0",
    "stylelint-config-standard-scss": "^4.0.0",
    "typescript": "~4.7.2",
    "vite": "^2.9.9",
    "vite-svg-loader": "^3.3.0",
    "vue-tsc": "^0.35.2"
  },
  "lint-staged": {
    "*.{vue,js,jsx,cjs,mjs,ts,tsx,cts,mts}": "npm run lint --",
    "*.{json,html}": "prettier --write --ignore-path .gitignore --plugin-search-dir=.",
    "*.{css,scss,vue,html}": "npm run stylelint --"
  }
}
